Create a batch crypto transfer
curl --request POST \
--url https://production.hifibridge.com/v2/wallets/transfers/batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"currency": "usdc",
"chain": "POLYGON",
"source": {
"userId": "a1f70737-3844-4782-a321-ad481108a8ec"
},
"destination": {
"batch": [
{
"amount": "0.01",
"userId": "a1f70737-3844-4782-a321-ad481108a8ec",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
}
]
},
"requireApproval": false
}
'import requests
url = "https://production.hifibridge.com/v2/wallets/transfers/batches"
payload = {
"requestId": "123e4567-e89b-12d3-a456-426614174000",
"currency": "usdc",
"chain": "POLYGON",
"source": { "userId": "a1f70737-3844-4782-a321-ad481108a8ec" },
"destination": { "batch": [
{
"amount": "0.01",
"userId": "a1f70737-3844-4782-a321-ad481108a8ec",
"walletAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e"
}
] },
"requireApproval": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
requestId: '123e4567-e89b-12d3-a456-426614174000',
currency: 'usdc',
chain: 'POLYGON',
source: {userId: 'a1f70737-3844-4782-a321-ad481108a8ec'},
destination: {
batch: [
{
amount: '0.01',
userId: 'a1f70737-3844-4782-a321-ad481108a8ec',
walletAddress: '0x742d35Cc6634C0532925a3b844Bc454e4438f44e'
}
]
},
requireApproval: false
})
};
fetch('https://production.hifibridge.com/v2/wallets/transfers/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transferType": "WALLET.TRANSFER.BATCH",
"transferDetails": {
"id": "879af7af-67bf-469f-b718-d262a39d4857",
"requestId": "14a84906-b72e-4847-b34d-51b9048fa6a5",
"createdAt": "2025-04-05T00:55:50.609Z",
"updatedAt": "2025-04-05T00:56:33.236Z",
"chain": "POLYGON",
"currency": "usdc",
"contractAddress": "0x41e94eb019c0762f9bfcf9fb1e58725bfb0e7582",
"status": "COMPLETED",
"source": {
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be",
"walletAddress": "0x99a8c5ED386d217BC6ff0AA1b3585606D475432B",
"walletType": "INDIVIDUAL"
},
"destination": {
"batch": [
{
"amount": "0.04",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.05",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.06",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.03",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
},
{
"amount": "0.03",
"userId": "6a13bd30-b3a3-4d44-af33-0b32e58261be"
}
]
},
"receipt": {
"transactionHash": "0x57f0cd3429ea425d982882243428ef4a1eda5f1be2157c1b34ea48b49b24fe7f",
"userOpHash": "0xef7bdb071b1fcfb5df629bd4d27ffa6dc32d0a5df676f26fb8c25311df1185ac"
}
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Wallet Transfers
Create a batch crypto transfer
Create a batch crypto transfer from a single wallet address to multiple wallet addresses among users.
POST
/
v2
/
wallets
/
transfers
/
batches
Create a batch crypto transfer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Example:
"123e4567-e89b-12d3-a456-426614174000"
Available options:
usdc, usdt, usdg, pyusd Example:
"usdc"
Available options:
POLYGON, ETHEREUM, SOLANA, BASE, BSC, FLOW_EVM, TRON Example:
"POLYGON"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Whether this batch transfer requires approval before processing.
true: Transfer will enter approval workflowfalseor omitted: Transfer proceeds immediately
Example:
false
⌘I